edu.isi.pegasus.planner.selector

## Interface SiteSelector

All Known Implementing Classes:
  Abstract, AbstractPerJob, Group, Heft, NonJavaCallout, Random, RoundRobin

    public interface SiteSelector

The interface for the Site Selector. Allows us to maps the workflows to different sites.

Version:
  $Revision$
Author:
  Karan Vahi, Jens-S. Vöckler, Gaurang Mehta

### Field Summary

Fields
`static java.lang.String` `SITE_NOT_FOUND` The value for the pool handle, when the pool is not found.
`static java.lang.String` `VERSION` The version of the API of the Site Selector.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `description()` This method returns a String describing the site selection technique that is being implemented by the implementing class.
`void` `initialize(PegasusBag bag)` Initializes the site selector.
`void` `mapWorkflow(ADag workflow, java.util.List sites)` Maps the jobs in the workflow to the various grid sites.

### Field Detail

#### VERSION

    static final java.lang.String VERSION

The version of the API of the Site Selector.

See Also:
  Constant Field Values

#### SITE_NOT_FOUND

    static final java.lang.String SITE_NOT_FOUND

The value for the pool handle, when the pool is not found.

See Also:
  Constant Field Values

### Method Detail

#### initialize

    void initialize(PegasusBag bag)

Initializes the site selector.

Parameters:
  `bag` - the bag of objects that is useful for initialization.

#### mapWorkflow

    void mapWorkflow(ADag workflow,
                     java.util.List sites)

Maps the jobs in the workflow to the various grid sites. The jobs are mapped by setting the site handle for the jobs.

Parameters:
  `workflow` - the workflow.
  `sites` - the list of `String` objects representing the execution sites that can be used.

#### description

    java.lang.String description()

This method returns a String describing the site selection technique that is being implemented by the implementing class.

Returns:
  a short description